//
//  Controller.h
//  Garden Pests
//
//  Copyright (c) 2003 Andrew Sage. All rights reserved.
//
//  This code is released under the uDevGames license.
//

#import <Cocoa/Cocoa.h>
//#import <QuickTime/QuickTime.h>

#import "GameView.h"

@class Game;

@interface Controller : NSResponder
{
     NSWindow *mainWindow;	// for full screen
    IBOutlet GameView *gameView;
    IBOutlet NSWindow *gameWindow;
    IBOutlet id fullscreenPanel;
    
    Game* game;	// the main game object
    bool boolFullScreen;
    CFDictionaryRef originalMode;

    // High score stuff
    NSArray		*hiScores;
    NSMutableArray	*gameScores, *gameNames, *gameLevels;

    IBOutlet NSMovieView* musicPlayer;

     

}

- (id) init;
- (void) dealloc;
- (void) awakeFromNib;


- (IBAction)fullScreenOnOff:(id)sender;

- (IBAction)voteWebPage:(id)sender;


// high score stuff
- (NSArray *)makeBlankHiScoresWith:(NSArray *)oldScores;
- (int)checkHighScores;
- (NSArray *)getHiScores;


- (IBAction)resetHighScores:(id)sender;

- (void)musicOnOff:(bool)on;

@end
