//
//  Plant.h
//  Garden Pests
//
//  Copyright (c) 2003 Andrew Sage. All rights reserved.
//
//  This code is released under the uDevGames license.
//
#import <Foundation/Foundation.h>

@class CRSprite;

@interface Plant : NSObject {

    NSMutableArray* spriteArray;	// array of sprites that form the plant

    int		height;			// current height of the plant
    NSPoint	position;		// base of plant
    int		health;			// plant health
    int		targetHeight;		// height of the fully grown height

}

- (id) init;
- (void) dealloc;

- (void)setHeight:(int)newHeight;
- (void)growPlant:(int)change;
- (void)killPlant:(int)change;
- (int)getHeight;

- (void)setTargetHeight:(int)newHeight;
- (int)getTargetHeight;

- (bool)isFullyGrown;

- (void)setHealth:(int)newHealth;
- (void)changeHealth:(int)change;
- (int)getHealth;

- (void)setPosition:(int)x:(int)y;
- (int)getPositionX;
- (int)getPositionY;

- (void)addSprite;
- (void)removeSprite;
- (void)drawPlant;

- (bool)doesAlienEatPlant:(int)x:(int)y:(int)w:(int)h;

@end
