//
//  shopItem.h
//  Garden Pests
//
//  Copyright (c) 2003 Andrew Sage. All rights reserved.
//
//  This code is released under the uDevGames license.
//

#import <Foundation/Foundation.h>

enum { ITEM_STABLISERS, ITEM_DOUBLE_FIRE, ITEM_FOURWAY_FIRE, ITEM_NOVA_BOMB, ITEM_INSURANCE };

@interface ShopItem : NSObject {

    NSString *sTitle;	// item's title
    int		cost;	// cost of the item
    bool	bought;	// has the item already been bought?
    int		itemID;	// ID of the item
    NSString* sDescription;	// robot's description
    NSImage*	image;		// item's image

}

- (id) init;
- (void) dealloc;

- (void)configure:(NSString*)sNewTitle:(int)newCost:(int)newID;

- (NSString*)getTitle;
- (int)getCost;

- (void)setBought:(bool)buy;
- (bool)isBought;

- (int)getID;

- (void)setDescription:(NSString*)newDescription;
- (NSString*)getDescription;

- (void) setImage:(NSImage *)newImage;
- (NSImage*) getImage;

@end
