//
//  weapon.h
//  Garden Pests
//
//  Copyright (c) 2003 Andrew Sage. All rights reserved.
//
//  This code is released under the uDevGames license.
//

#import <Foundation/Foundation.h>


@interface Weapon : NSObject {

    int	type;		// weapon type
    bool up;		// fires up
    bool down;		// fires down
    bool forward;		// fires forward
    bool backward;		// fires backward
    bool bounce;	// does it bounce
    int life;		// number of frames the bullet lasts for
    int ammo;		// current ammo level
    int maxAmmo;	// max ammo level
    int delay;		// delay before it can be refired
    int delayCounter;	// count until weapon can be refired

    NSString *sTitle;	// weapon title
}

- (id) init;
- (void) dealloc;

- (void)setType:(int)newType;
- (int)getType;

-(void)configure:(NSString*)newTitle:(bool)newUp:(bool)newDown:(bool)newForward:(bool)newBackward:(bool)newBounce:(int)newLife;

- (bool)firesUp;
- (bool)firesDown;
- (bool)firesForward;
- (bool)firesBackward;
- (bool)doesItBounce;

- (void)setLife:(int)newLife;
- (int)getLife;

- (void)setTitle:(NSString*)newTitle;
- (NSString*)getTitle;

- (void)setMaxAmmo:(int)newMax;
- (int)getMaxAmmo;

- (void)setAmmo:(int)newAmmo;
- (void)changeAmmo:(int)change;
- (int)getAmmo;

- (void)setDelay:(int)newDelay;
- (void)resetDelayCounter;
- (void)decreaseDelayCounter;
- (bool)canFire;

@end
