//
//  weapon.m
//  Garden Pests
//
//  Copyright (c) 2003 Andrew Sage. All rights reserved.
//
//  This code is released under the uDevGames license.
//

#import "weapon.h"

@implementation Weapon

- (id) init
{
    self = [super init];

    [self setDelay:5];

    delayCounter = 0;
    
    return self;
}

- (void) dealloc
{
    [super dealloc];
}


- (void)setType:(int)newType
{
    type = newType;
}

- (int)getType
{
    return type;
}

-(void)configure:(NSString*)newTitle:(bool)newUp:(bool)newDown:(bool)newForward:(bool)newBackward:(bool)newBounce:(int)newLife
{
    up = newUp;
    down = newDown;
    forward = newForward;
    backward = newBackward;
    bounce = newBounce;
    life = newLife;
    sTitle = newTitle;
}

- (bool)firesUp
{
    return up;
}

- (bool)firesDown
{
    return down;
}

- (bool)firesForward
{
    return forward;
}

- (bool)firesBackward
{
    return backward;
}

- (bool)doesItBounce
{
    return bounce;
}

- (void)setLife:(int)newLife
{
    life = newLife;
}

- (int)getLife
{
    return life;
}

- (void)setTitle:(NSString*)newTitle
{
    sTitle = newTitle;
}

- (NSString*)getTitle
{
    return sTitle;
}


- (void)setMaxAmmo:(int)newMax
{
    maxAmmo = newMax;
}

- (int)getMaxAmmo
{
    return maxAmmo;
}

- (void)setAmmo:(int)newAmmo
{
    ammo = newAmmo;
}

- (void)changeAmmo:(int)change
{
    ammo += change;

    if(ammo < 0)
    {
        ammo = 0;
    }

    if(ammo > maxAmmo)
    {
        ammo = maxAmmo;
    }
}

- (int)getAmmo
{
    return ammo;
}

- (void)setDelay:(int)newDelay
{
    delay = newDelay;
}

- (void)resetDelayCounter
{
    delayCounter = delay;
}

- (void)decreaseDelayCounter
{
    if(delayCounter > 0)
    {
        delayCounter--;
    }
}

- (bool)canFire
{
    return delayCounter == 0;
}

@end
